SelectFragment (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class SelectFragment

    java.lang.Object
      org.hibernate.sql.SelectFragment

    public class SelectFragment

extends Object

A fragment of an SQL `SELECT` clause

Constructor Summary
`SelectFragment()`

Method Summary
`SelectFragment` | `addColumn(String columnName)`
`SelectFragment` | `addColumn(String tableAlias, String columnName)`
`SelectFragment` | `addColumn(String tableAlias, String columnName, String columnAlias)`
`SelectFragment` | `addColumns(String[] columnNames)`
`SelectFragment` | `addColumns(String tableAlias, String[] columnNames)`
`SelectFragment` | `addColumns(String tableAlias, String[] columnNames, String[] columnAliases)`
`SelectFragment` | `addColumnTemplate(String tableAlias, String columnTemplate, String columnAlias)`
`SelectFragment` | `addColumnTemplates(String tableAlias, String[] columnTemplates, String[] columnAliases)`
`SelectFragment` | `addFormula(String tableAlias, String formula, String formulaAlias)`
`SelectFragment` | `addFormulas(String tableAlias, String[] formulas, String[] formulaAliases)`
`List` | `getColumns()`
`String` | `getExtraSelectList()`
`SelectFragment` | `setExtraSelectList(CaseFragment caseFragment, String fragmentAlias)`
`SelectFragment` | `setExtraSelectList(String extraSelectList)`
`SelectFragment` | `setSuffix(String suffix)`
`SelectFragment` | `setUsedAliases(String[] aliases)`
`String` | `toFragmentString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectFragment

    public SelectFragment()

Method Detail

### getColumns

    public List getColumns()

### getExtraSelectList

    public String getExtraSelectList()

### setUsedAliases

    public SelectFragment setUsedAliases(String[] aliases)

### setExtraSelectList

    public SelectFragment setExtraSelectList(String extraSelectList)

### setExtraSelectList

    public SelectFragment setExtraSelectList(CaseFragment caseFragment,
                                             String fragmentAlias)

### setSuffix

    public SelectFragment setSuffix(String suffix)

### addColumn

    public SelectFragment addColumn(String columnName)

### addColumns

    public SelectFragment addColumns(String[] columnNames)

### addColumn

    public SelectFragment addColumn(String tableAlias,
                                    String columnName)

### addColumn

    public SelectFragment addColumn(String tableAlias,
                                    String columnName,
                                    String columnAlias)

### addColumns

    public SelectFragment addColumns(String tableAlias,
                                     String[] columnNames)

### addColumns

    public SelectFragment addColumns(String tableAlias,
                                     String[] columnNames,
                                     String[] columnAliases)

### addFormulas

    public SelectFragment addFormulas(String tableAlias,
                                      String[] formulas,
                                      String[] formulaAliases)

### addFormula

    public SelectFragment addFormula(String tableAlias,
                                     String formula,
                                     String formulaAlias)

### addColumnTemplate

    public SelectFragment addColumnTemplate(String tableAlias,
                                            String columnTemplate,
                                            String columnAlias)

### addColumnTemplates

    public SelectFragment addColumnTemplates(String tableAlias,
                                             String[] columnTemplates,
                                             String[] columnAliases)

### toFragmentString

    public String toFragmentString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.